package com.heyu.api.data.service.impl.reverse;

import com.heyu.api.data.entity.vv.VvReverseOrderEntity;
import com.heyu.api.data.enums.ActionEnums;
import com.heyu.api.data.enums.ReverseStatusEnums;
import com.heyu.api.data.service.impl.AbstractReverseAction;

/***
 *
 */
public class SellerRejectReturnRefundAction extends AbstractReverseAction {

    @Override
    public ActionEnums getAction(VvReverseOrderEntity vvReverseOrderEntity, boolean isApp, boolean isAdmin) {
        if (
                ReverseStatusEnums.buyer_apply_return_wait_seller_agree.getStatus().equals(vvReverseOrderEntity.getStatus())
        ) {
            if (isAdmin) {
                return ActionEnums.Admin_Seller_Reject_Return_Refund;
            }
        }
        return null;


    }
}
